<template>
    <!-- <div > -->
        <div>
            <!-- _______ Header-Program ________ -->
            <div class="flex justify position-z-index" v-if="durationProgramHeader(program.programPrincipal) == 'letters-middle' || durationProgramHeader(program.programPrincipal) == 'letters-normal'">
                <div class="programDuration" :class="[durationProgramHeader(program.programPrincipal) == 'letters-middle' ? 'letters-middle' : 'font-size-15']">
                    <span>{{calculateScheduleHours(program.programPrincipal.scheduleStartHour, program.programPrincipal.scheduleStartMin)}}</span>
                    -
                    <span>{{calculateScheduleHours(program.programPrincipal.scheduleEndHour, program.programPrincipal.scheduleEndMin)}}</span>
                </div>
                <div style="position: relative">
                    <i style="position: absolute" class="el-icon-circle-plus text-orange" @click="openModal(program)" :class="[durationProgramHeader(program.programPrincipal) == 'letters-middle' ? 'font-size-18' : 'font-size-25']"></i>
                    <div class="bg-icon-style" :class="[durationProgramHeader(program.programPrincipal) == 'letters-middle' ? 'bg-icon-middle' : 'bg-icon']"></div>
                </div>
            </div>

            <div>
                <div class="principalTitle work-break" v-bind:class="[ program.programPrincipal.material.stringMaterialType == 'Producción Nacional'? 'text-orange' : 'text-blue-color', `${durationProgramTitle(program.programPrincipal)}`]" v-if="program.programPrincipal.material.typeOfContent !== 'Largometrajes'">{{ program.programPrincipal.programTitle }}</div>
                <!-- Titulo del programa para largometrajes -->
                <div v-else>
                    <p class="text-orange principalTitle work-break" :class="[durationProgramTitleLargometraje(program.programPrincipal)]">"{{ program.programPrincipal.programTitle }}"<p>
                    <p class="principalTitle text-blue-color work-break" :class="[durationProgramTitle(program.programPrincipal)]">{{program.programByDay[0].material.listTitle}}</p>
                </div>

                <div class="principalTitle">
                    <span v-if="program.programPrincipal.isTemporada && program.programPrincipal.material.numChapters.length !== 0" class="text-ligth" :style="{color: program.programPrincipal.seasonColor}"> {{ program.programPrincipal.material.numChapters[0].season}}° TEMPORADA </span>
                    <!-- _________ Clasificación __________ -->
                    <span  class="padding-left-5 font-size-14" v-if="program.programPrincipal.isClasification && program.programPrincipal.material.classification !== '' && program.programPrincipal.material.classification == 'GP (Guía Paterna)'" :style="{color: program.programPrincipal.clasificationColor}">( {{ (program.programPrincipal.material.classification).slice(0,2) }} )</span>

                    <span v-if="program.programPrincipal.isClasification && program.programPrincipal.material.classification !== '' && program.programPrincipal.material.classification !== 'GP (Guía Paterna)'"  class="padding-left-5 font-size-14" :style="{color: program.programPrincipal.clasificationColor}">  {{ isHaveClassification(program.programPrincipal.material.classification) }} </span>

                    <!-- _________Nota general__________ -->
                    <div style="margin-top: 1rem" v-if="program.programPrincipal.generalNote && program.programPrincipal.generalNote !== ''" class="flex-content justify-content-center general-note-style work-break" v-html="program.programPrincipal.generalNote"> <br></div>
                    
                    <!-- _________Unit price__________ -->
                    <span :style="{color: program.programPrincipal.unitPriceColor}" v-if="program.programPrincipal.isUnitPrice"> S/. {{ program.programPrincipal.material.unitPrice}}</span>
                    <br>
                    <!-- _________Code de prov__________ -->
                    <span v-if="program.programPrincipal.IsCodProvider" :style="{color: program.programPrincipal.codProviderColor}"> Cod. {{ program.programPrincipal.material.providerCode}} </span>
                </div>
                
            </div>

            <div class="boxAllDays">
                <!-- tengo mas de un dia -->
                
                <div class="boxByDay" v-if="day.Estado || day.IsCap || day.EstTemp || day.bgColorByProgram || day.nota || program.programPrincipal.material.typeOfContent == 'Largometrajes'" v-for="(day, index) in program.programByDay" :key="index" :style="`grid-column: ${index+1} / span 1; backgroundColor: ${day.bgColorByProgram}`" >
                    <div class="contentBoxByChapter" :class="[day.chapters.length >= 3 ? 'rezise-box' : '']">
                        <div v-if="day.nota && day.nota !== '' " class="note work-break padding-0-10 font-size-14" v-html="day.nota" ></div>			  
                        <div class="boxByChapter flex-content justify-content-space" v-for="(chapter, i) in day.chapters" :key="i">

                            <div style="width: auto; max-width: 100%;" class="boxDataByChapter">
                                <span v-if="day.EstTemp && chapter.seasonInfo == 'Inicio de Temporada' && day.chapters.length <=2" :style="{color: day.seasonStateColor}"> Inicio de Temp. <br> </span>
                                <span v-if="day.EstTemp && chapter.seasonInfo == 'Fin de Temporada' && day.chapters.length <=2" :style="{color: day.seasonStateColor}" class="text-red-color"> Fin de Temp. <br> </span>
                                
                                <div>
                                    <!-- __________Precio por pasada___________ -->
                                    <p v-if="day.IsPricePass && day.material.broadcastPrice[0] !== ''" :style="{color: day.pricePassColor}"> S/. {{ String(day.material.broadcastPrice[0]) }}<br> </p>

                                    <!-- __________Estado___________ -->
                                    <span :style="{color: day.chapterColor}" class="padding-right-5" v-if="day.IsCap"> {{chapter.numChapter}}  </span>
                                    <span v-if="day.Estado && chapter.status !== ''" class="statusByChapterText"> 
                                        <span v-if="chapter.rerun" :style="{color: day.rerunChapterColor}">Rerun </span> <span v-if="chapter.rerun && chapter.estreno">-</span>
                                        <span v-if="chapter.estreno" :style="{color: day.stateChapterColor}"> Estreno </span> 
                                        <span v-if="chapter.ongoing" class="text-celeste"> {{ '(ONGOING)'}} </span> 
                                        <span v-if="day.chapters.length>1 && day.chapters.length-1 !== i">/</span>
                                    </span>
                                </div>
                                <!-- __________Actors___________ -->
                                <div v-if="program.programPrincipal.material.typeOfContent == 'Largometrajes'">
                                    <p v-for="(actor, index) in isHaveActors(day.material.reviewObj)" :key="index" class="text-blue-color" style="display: inline-block; font-weight: 400; margin-left: 8px">{{ actor + ' '}}</p>
                                </div>
                            </div>
                        </div>
                    </div>	
                </div>
            </div>
        </div>
    <!-- </div> -->
</template>

<script>
    // import { durationProgramHeader, calculateScheduleHours, durationProgramTitle, durationProgramTitleLargometraje, isHaveClassification, isHaveActors } from '@/utils/calculateTimePrograms.js'
     import { isHaveClassification, isHaveActors }  from '@/utils/calculateTimePrograms.js'

    export default {
        name: 'gridPrograms',
        props: {
            indexNumber: {
                type: Number
            },
            program: {
                // type: Object
            },
            durationProgramHeader: {
                type: Function
            },
            calculateScheduleHours: {
                type: Function
            },
            openModal: {
                type: Function
            },
            durationProgramTitle: {
                type: Function
            },
            durationProgramTitleLargometraje: {
                type: Function
            },
            // isHaveClassification: {
            //     type: Function
            // },
            // isHaveActors: {
            //     type: Function
            // }
            // program
        },
        methods: {
            durationProgramHeaderFunction(oneData, twoData) {
                return durationProgramHeader(oneData, twoData)
            },
            calculateScheduleHoursFunction(oneData, twoData) {
                return calculateScheduleHours(oneData, twoData)
            },
            durationProgramTitleFunction(oneData, twoData) {
                return durationProgramTitle(oneData, twoData)
            },
        }
    }
</script>